Get Legal Pages
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/legal-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/legal-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/legal-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pages": [
{
"type": "terms",
"slug": "terms-of-service",
"path": "/terms-of-service",
"url": "http://demo-shop.mysellauth.test:80/terms-of-service",
"default_title": "Terms of Service",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "privacy_policy",
"slug": "privacy-policy",
"path": "/privacy-policy",
"url": "http://demo-shop.mysellauth.test:80/privacy-policy",
"default_title": "Privacy Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "refund_policy",
"slug": "refund-policy",
"path": "/refund-policy",
"url": "http://demo-shop.mysellauth.test:80/refund-policy",
"default_title": "Refund Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "shipping_policy",
"slug": "shipping-policy",
"path": "/shipping-policy",
"url": "http://demo-shop.mysellauth.test:80/shipping-policy",
"default_title": "Shipping Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "cookie_policy",
"slug": "cookie-policy",
"path": "/cookie-policy",
"url": "http://demo-shop.mysellauth.test:80/cookie-policy",
"default_title": "Cookie Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "impressum",
"slug": "impressum",
"path": "/impressum",
"url": "http://demo-shop.mysellauth.test:80/impressum",
"default_title": "Legal Notice",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "withdrawal",
"slug": "right-of-withdrawal",
"path": "/right-of-withdrawal",
"url": "http://demo-shop.mysellauth.test:80/right-of-withdrawal",
"default_title": "Right of Withdrawal",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
}
]
}Legal Pages
Get Legal Pages
Returns every legal page type with its stored content.
GET
/
v1
/
shops
/
{shopId}
/
legal-pages
Get Legal Pages
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"type": "terms",
"slug": "terms-of-service",
"path": "/terms-of-service",
"url": "http://demo-shop.mysellauth.test:80/terms-of-service",
"default_title": "Terms of Service",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "privacy_policy",
"slug": "privacy-policy",
"path": "/privacy-policy",
"url": "http://demo-shop.mysellauth.test:80/privacy-policy",
"default_title": "Privacy Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "refund_policy",
"slug": "refund-policy",
"path": "/refund-policy",
"url": "http://demo-shop.mysellauth.test:80/refund-policy",
"default_title": "Refund Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "shipping_policy",
"slug": "shipping-policy",
"path": "/shipping-policy",
"url": "http://demo-shop.mysellauth.test:80/shipping-policy",
"default_title": "Shipping Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "cookie_policy",
"slug": "cookie-policy",
"path": "/cookie-policy",
"url": "http://demo-shop.mysellauth.test:80/cookie-policy",
"default_title": "Cookie Policy",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "impressum",
"slug": "impressum",
"path": "/impressum",
"url": "http://demo-shop.mysellauth.test:80/impressum",
"default_title": "Legal Notice",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
},
{
"type": "withdrawal",
"slug": "right-of-withdrawal",
"path": "/right-of-withdrawal",
"url": "http://demo-shop.mysellauth.test:80/right-of-withdrawal",
"default_title": "Right of Withdrawal",
"title": null,
"meta_title": null,
"meta_description": null,
"content": null,
"has_content": false,
"updated_at": null
}
]